package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:标签显示类型
 * @Author:zhoutg
 * @time: 2018/11/21 11:39
 */
public enum TagTypeEnum implements KeyedNamed {
    V1(1, "单项单列"),
    V2(2, "单项多列"),
    V3(3, "横铺单标签形式"),
    V4(4, "横铺多标签形式"),
    V5(5, "竖铺组合项"),
    V6(6, "组合项多列"),
    V7(7, "化验类型"),
    V8(8, "模板专用文字");

    @Setter
    private Integer key;

    @Setter
    private String name;

    TagTypeEnum(Integer key, String name) {
        this.key = key;
        this.name = name;
    }

    public static TagTypeEnum getEnum(Integer key) {
        for (TagTypeEnum item : TagTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(Integer key) {
        TagTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}