package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.dto.GetQuestionInfoDTO;
import com.diagbot.dto.QuestionPageDTO;
import com.diagbot.entity.QuestionInfo;
import com.diagbot.vo.GetQuestionInfoVO;
import com.diagbot.vo.GetQuestionUsualByDeptVO;
import com.diagbot.vo.QuestionPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 标签基础表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2018-11-23
 */
public interface QuestionInfoMapper extends BaseMapper<QuestionInfo> {

    public void deleteByIds(Map map);

    public List<QuestionInfo> index(Map map);

    /**
     * 根据名称获取标签信息
     * @param getQuestionInfoVO
     * @return
     */
    public List<GetQuestionInfoDTO> getQuestiongInfoByName(GetQuestionInfoVO  getQuestionInfoVO);

    /**
     * 根据科室id获取标签信息
     * @param getQuestionUsualByDeptVO
     * @return
     */
    public List<GetQuestionInfoDTO> getQuestionUsualsByDept(GetQuestionUsualByDeptVO getQuestionUsualByDeptVO);


    /**
     * 获取标签列表
     *
     * @param questionPageVO
     * @return
     */
    public IPage<QuestionPageDTO> getList(QuestionPageVO questionPageVO);

}
